# -*- coding: utf-8 -*-
from setuphelpers import *
import glob


def install():
    def verssweet(key):
        return get_file_properties(makepath(key["install_location"], "SweetHome3D.exe"))["ProductVersion"]

    install_exe_if_needed(
        glob.glob("*-windows.exe")[0],
        silentflags="/sp /verysilent",
        key="Sweet Home 3D_is1",
        min_version=control.get_software_version(),
        get_version=verssweet,
    )
